import {httpApi} from "../request/httpApi";

export const ApprovalApi = (url,form, msg = true) => httpApi({
    url: '/api/blade-business/' + url,
    method: 'post',
    data: form
}, msg);

export const batchApproval = (form, msg = true) => httpApi({
    url: '/api/blade-business/archiveFile/batchApproval',
    method: 'post',
    data: form
}, msg);

//短信验证
export const sendNotice = (form, msg = true) => httpApi({
    url: '/api/blade-business/task/send-notice',
    method: 'post',
    params: form
}, msg);

//用户配置保存
export const userConfigSave = (form, msg = true) => httpApi({
    url: '/api/blade-business/defaultConfig/saveOrUpdate',
    method: 'post',
    data: form
}, msg);

//用户配置详情
export const userConfigInfo = (form, msg = true) => httpApi({
    url: '/api/blade-business/defaultConfig/detail',
    method: 'get',
    params: form
}, msg);

//获取上报批次
export const getReportNumber = (form, msg = true) => httpApi({
    url: '/api/blade-business/informationWriteQuery/getReportNumberByContractId',
    method: 'get',
    params: form
}, msg);

//获取类型
export const getDictionary = (form, msg = true) => httpApi({
    url: '/api/blade-system/dict/dictionary',
    method: 'get',
    params: form
}, msg);


//获取表单的下拉框测站点数据
export const getDapSiteData = (form, msg = true) => httpApi({
    url: '/api/blade-business/dap/site',
    method: 'get',
    params: form
}, msg);

